################################################################################
# Copyright (c) 2022-2023 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0.
#
# SPDX-License-Identifier: EPL-2.0
################################################################################

list(APPEND ${PROJECT_NAME}_SOURCES
    gen/Conversion/OscToNode/ParseAccelerationCondition.cpp
    gen/Conversion/OscToNode/ParseAcquirePositionAction.cpp
    gen/Conversion/OscToNode/ParseActions.cpp
    gen/Conversion/OscToNode/ParseActivateControllerAction.cpp
    gen/Conversion/OscToNode/ParseActs.cpp
    gen/Conversion/OscToNode/ParseAddEntityAction.cpp
    gen/Conversion/OscToNode/ParseAnimationAction.cpp
    gen/Conversion/OscToNode/ParseAppearanceAction.cpp
    gen/Conversion/OscToNode/ParseAssignControllerAction.cpp
    gen/Conversion/OscToNode/ParseAssignRouteAction.cpp
    gen/Conversion/OscToNode/ParseByValueCondition.cpp
    gen/Conversion/OscToNode/ParseCollisionCondition.cpp
    gen/Conversion/OscToNode/ParseConditionGroup.cpp
    gen/Conversion/OscToNode/ParseCustomCommandAction.cpp
    gen/Conversion/OscToNode/ParseDeleteEntityAction.cpp
    gen/Conversion/OscToNode/ParseDistanceCondition.cpp
    gen/Conversion/OscToNode/ParseEndOfRoadCondition.cpp
    gen/Conversion/OscToNode/ParseEntityAction.cpp
    gen/Conversion/OscToNode/ParseEntityCondition.cpp
    gen/Conversion/OscToNode/ParseEnvironmentAction.cpp
    gen/Conversion/OscToNode/ParseEvents.cpp
    gen/Conversion/OscToNode/ParseFollowTrajectoryAction.cpp
    gen/Conversion/OscToNode/ParseGlobalAction.cpp
    gen/Conversion/OscToNode/ParseGlobalActions.cpp
    gen/Conversion/OscToNode/ParseInfrastructureAction.cpp
    gen/Conversion/OscToNode/ParseLaneChangeAction.cpp
    gen/Conversion/OscToNode/ParseLaneOffsetAction.cpp
    gen/Conversion/OscToNode/ParseLateralAction.cpp
    gen/Conversion/OscToNode/ParseLateralDistanceAction.cpp
    gen/Conversion/OscToNode/ParseLightStateAction.cpp
    gen/Conversion/OscToNode/ParseLongitudinalAction.cpp
    gen/Conversion/OscToNode/ParseLongitudinalDistanceAction.cpp
    gen/Conversion/OscToNode/ParseManeuverGroups.cpp
    gen/Conversion/OscToNode/ParseManeuvers.cpp
    gen/Conversion/OscToNode/ParseOffroadCondition.cpp
    gen/Conversion/OscToNode/ParseOverrideBrakeAction.cpp
    gen/Conversion/OscToNode/ParseOverrideClutchAction.cpp
    gen/Conversion/OscToNode/ParseOverrideControllerValueAction.cpp
    gen/Conversion/OscToNode/ParseOverrideGearAction.cpp
    gen/Conversion/OscToNode/ParseOverrideParkingBrakeAction.cpp
    gen/Conversion/OscToNode/ParseOverrideSteeringWheelAction.cpp
    gen/Conversion/OscToNode/ParseOverrideThrottleAction.cpp
    gen/Conversion/OscToNode/ParseParameterCondition.cpp
    gen/Conversion/OscToNode/ParseParameterModifyAction.cpp
    gen/Conversion/OscToNode/ParseParameterSetAction.cpp
    gen/Conversion/OscToNode/ParsePrivateAction.cpp
    gen/Conversion/OscToNode/ParsePrivateActions.cpp
    gen/Conversion/OscToNode/ParsePrivates.cpp
    gen/Conversion/OscToNode/ParseReachPositionCondition.cpp
    gen/Conversion/OscToNode/ParseRelativeClearanceCondition.cpp
    gen/Conversion/OscToNode/ParseRelativeDistanceCondition.cpp
    gen/Conversion/OscToNode/ParseRelativeSpeedCondition.cpp
    gen/Conversion/OscToNode/ParseRoutingAction.cpp
    gen/Conversion/OscToNode/ParseSimulationTimeCondition.cpp
    gen/Conversion/OscToNode/ParseSpeedAction.cpp
    gen/Conversion/OscToNode/ParseSpeedCondition.cpp
    gen/Conversion/OscToNode/ParseSpeedProfileAction.cpp
    gen/Conversion/OscToNode/ParseStandStillCondition.cpp
    gen/Conversion/OscToNode/ParseStories.cpp
    gen/Conversion/OscToNode/ParseStoryboardElementStateCondition.cpp
    gen/Conversion/OscToNode/ParseSynchronizeAction.cpp
    gen/Conversion/OscToNode/ParseTeleportAction.cpp
    gen/Conversion/OscToNode/ParseTimeHeadwayCondition.cpp
    gen/Conversion/OscToNode/ParseTimeOfDayCondition.cpp
    gen/Conversion/OscToNode/ParseTimeToCollisionCondition.cpp
    gen/Conversion/OscToNode/ParseTrafficAction.cpp
    gen/Conversion/OscToNode/ParseTrafficSignalAction.cpp
    gen/Conversion/OscToNode/ParseTrafficSignalCondition.cpp
    gen/Conversion/OscToNode/ParseTrafficSignalControllerAction.cpp
    gen/Conversion/OscToNode/ParseTrafficSignalControllerCondition.cpp
    gen/Conversion/OscToNode/ParseTrafficSignalStateAction.cpp
    gen/Conversion/OscToNode/ParseTrafficSignals.cpp
    gen/Conversion/OscToNode/ParseTrafficSinkAction.cpp
    gen/Conversion/OscToNode/ParseTrafficSourceAction.cpp
    gen/Conversion/OscToNode/ParseTrafficStopAction.cpp
    gen/Conversion/OscToNode/ParseTrafficSwarmAction.cpp
    gen/Conversion/OscToNode/ParseTraveledDistanceCondition.cpp
    gen/Conversion/OscToNode/ParseTrigger.cpp
    gen/Conversion/OscToNode/ParseUserDefinedAction.cpp
    gen/Conversion/OscToNode/ParseUserDefinedActions.cpp
    gen/Conversion/OscToNode/ParseUserDefinedValueCondition.cpp
    gen/Conversion/OscToNode/ParseVariableAction.cpp
    gen/Conversion/OscToNode/ParseVariableCondition.cpp
    gen/Conversion/OscToNode/ParseVariableModifyAction.cpp
    gen/Conversion/OscToNode/ParseVariableSetAction.cpp
    gen/Conversion/OscToNode/ParseVisibilityAction.cpp
    gen/Storyboard/ByEntityCondition/AccelerationCondition_impl.cpp
    gen/Storyboard/ByEntityCondition/CollisionCondition_impl.cpp
    gen/Storyboard/ByEntityCondition/EndOfRoadCondition_impl.cpp
    gen/Storyboard/ByEntityCondition/OffroadCondition_impl.cpp
    gen/Storyboard/ByEntityCondition/RelativeClearanceCondition_impl.cpp
    gen/Storyboard/ByEntityCondition/SpeedCondition_impl.cpp
    gen/Storyboard/ByEntityCondition/StandStillCondition_impl.cpp
    gen/Storyboard/ByEntityCondition/TraveledDistanceCondition_impl.cpp
    gen/Storyboard/ByValueCondition/ParameterCondition_impl.cpp
    gen/Storyboard/ByValueCondition/StoryboardElementStateCondition_impl.cpp
    gen/Storyboard/ByValueCondition/TimeOfDayCondition_impl.cpp
    gen/Storyboard/ByValueCondition/TrafficSignalCondition_impl.cpp
    gen/Storyboard/ByValueCondition/TrafficSignalControllerCondition_impl.cpp
    gen/Storyboard/ByValueCondition/VariableCondition_impl.cpp
    gen/Storyboard/GenericAction/ActivateControllerAction_impl.cpp
    gen/Storyboard/GenericAction/AddEntityAction_impl.cpp
    gen/Storyboard/GenericAction/AnimationAction_impl.cpp
    gen/Storyboard/GenericAction/EnvironmentAction_impl.cpp
    gen/Storyboard/GenericAction/LightStateAction_impl.cpp
    gen/Storyboard/GenericAction/OverrideBrakeAction_impl.cpp
    gen/Storyboard/GenericAction/OverrideClutchAction_impl.cpp
    gen/Storyboard/GenericAction/OverrideGearAction_impl.cpp
    gen/Storyboard/GenericAction/OverrideParkingBrakeAction_impl.cpp
    gen/Storyboard/GenericAction/OverrideSteeringWheelAction_impl.cpp
    gen/Storyboard/GenericAction/OverrideThrottleAction_impl.cpp
    gen/Storyboard/GenericAction/ParameterModifyAction_impl.cpp
    gen/Storyboard/GenericAction/ParameterSetAction_impl.cpp
    gen/Storyboard/GenericAction/SpeedProfileAction_impl.cpp
    gen/Storyboard/GenericAction/TrafficSignalControllerAction_impl.cpp
    gen/Storyboard/GenericAction/TrafficSourceAction_impl.cpp
    gen/Storyboard/GenericAction/TrafficStopAction_impl.cpp
    gen/Storyboard/GenericAction/VariableModifyAction_impl.cpp
    gen/Storyboard/GenericAction/VariableSetAction_impl.cpp
    gen/Storyboard/MotionControlAction/SynchronizeAction_impl.cpp
    src/Conversion/OscToMantle/ConvertScenarioAbsoluteTargetLane.cpp
    src/Conversion/OscToMantle/ConvertScenarioCentralSwarmObject.cpp
    src/Conversion/OscToMantle/ConvertScenarioConditionEdge.cpp
    src/Conversion/OscToMantle/ConvertScenarioController.cpp
    src/Conversion/OscToMantle/ConvertScenarioCoordinateSystem.cpp
    src/Conversion/OscToMantle/ConvertScenarioFinalSpeed.cpp
    src/Conversion/OscToMantle/ConvertScenarioLaneChangeTarget.cpp
    src/Conversion/OscToMantle/ConvertScenarioLateralDisplacement.cpp
    src/Conversion/OscToMantle/ConvertScenarioLongitudinalDisplacement.cpp
    src/Conversion/OscToMantle/ConvertScenarioLongitudinalDistance.cpp
    src/Conversion/OscToMantle/ConvertScenarioPosition.cpp
    src/Conversion/OscToMantle/ConvertScenarioRelativeDistanceType.cpp
    src/Conversion/OscToMantle/ConvertScenarioRelativeTargetLane.cpp
    src/Conversion/OscToMantle/ConvertScenarioRoute.cpp
    src/Conversion/OscToMantle/ConvertScenarioSensorReferenceSet.cpp
    src/Conversion/OscToMantle/ConvertScenarioSpeedActionTarget.cpp
    src/Conversion/OscToMantle/ConvertScenarioTimeReference.cpp
    src/Conversion/OscToMantle/ConvertScenarioTimeToCollisionConditionTarget.cpp
    src/Conversion/OscToMantle/ConvertScenarioTrafficDefinition.cpp
    src/Conversion/OscToMantle/ConvertScenarioTrafficSignalController.cpp
    src/Conversion/OscToMantle/ConvertScenarioTrajectoryRef.cpp
    src/Conversion/OscToMantle/ConvertScenarioTransitionDynamics.cpp
    src/Conversion/OscToNode/ParseAct.cpp
    src/Conversion/OscToNode/ParseAction.cpp
    src/Conversion/OscToNode/ParseByEntityCondition.cpp
    src/Conversion/OscToNode/ParseCatalogReferences.cpp
    src/Conversion/OscToNode/ParseCondition.cpp
    src/Conversion/OscToNode/ParseConditionGroups.cpp
    src/Conversion/OscToNode/ParseConditions.cpp
    src/Conversion/OscToNode/ParseControllerAction.cpp
    src/Conversion/OscToNode/ParseEntityRefs.cpp
    src/Conversion/OscToNode/ParseEvent.cpp
    src/Conversion/OscToNode/ParseInit.cpp
    src/Conversion/OscToNode/ParseInitActions.cpp
    src/Conversion/OscToNode/ParseManeuver.cpp
    src/Conversion/OscToNode/ParseManeuverGroup.cpp
    src/Conversion/OscToNode/ParseParameterAction.cpp
    src/Conversion/OscToNode/ParseParameterDeclarations.cpp
    src/Conversion/OscToNode/ParsePrivate.cpp
    src/Conversion/OscToNode/ParseStory.cpp
    src/Conversion/OscToNode/ParseStoryboard.cpp
    src/Node/ByEntityConditionNode.cpp
    src/Node/ConditionGroupsNode.cpp
    src/Node/ConditionNode.cpp
    src/Node/ConditionsNode.cpp
    src/Node/EntityConditionNode.cpp
    src/Node/ManeuverGroupNode.cpp
    src/Node/PrivateNode.cpp
    src/Node/RootNode.cpp
    src/Node/TrafficSignalPhaseNode.cpp
    src/OpenScenarioEngine.cpp
    src/Storyboard/ByEntityCondition/DistanceCondition_impl.cpp
    src/Storyboard/ByEntityCondition/ReachPositionCondition_impl.cpp
    src/Storyboard/ByEntityCondition/RelativeDistanceCondition_impl.cpp
    src/Storyboard/ByEntityCondition/RelativeSpeedCondition_impl.cpp
    src/Storyboard/ByEntityCondition/TimeHeadwayCondition_impl.cpp
    src/Storyboard/ByEntityCondition/TimeToCollisionCondition_impl.cpp
    src/Storyboard/ByValueCondition/SimulationTimeCondition_impl.cpp
    src/Storyboard/ByValueCondition/UserDefinedValueCondition_impl.cpp
    src/Storyboard/GenericAction/AcquirePositionAction_impl.cpp
    src/Storyboard/GenericAction/ActivateControllerAction.cpp
    src/Storyboard/GenericAction/AssignControllerAction_impl.cpp
    src/Storyboard/GenericAction/AssignRouteAction_impl.cpp
    src/Storyboard/GenericAction/CustomCommandAction_impl.cpp
    src/Storyboard/GenericAction/DeleteEntityAction_impl.cpp
    src/Storyboard/GenericAction/TeleportAction_impl.cpp
    src/Storyboard/GenericAction/TrafficSignalStateAction_impl.cpp
    src/Storyboard/GenericAction/TrafficSinkAction_impl.cpp
    src/Storyboard/GenericAction/TrafficSwarmAction_impl.cpp
    src/Storyboard/GenericAction/VisibilityAction_impl.cpp
    src/Storyboard/MotionControlAction/FollowTrajectoryAction_impl.cpp
    src/Storyboard/MotionControlAction/LaneChangeAction_impl.cpp
    src/Storyboard/MotionControlAction/LaneOffsetAction_impl.cpp
    src/Storyboard/MotionControlAction/LateralDistanceAction_impl.cpp
    src/Storyboard/MotionControlAction/LongitudinalDistanceAction_impl.cpp
    src/Storyboard/MotionControlAction/SpeedAction_impl.cpp
    src/Utils/ConditionEdgeEvaluator.cpp
    src/Utils/ControllerCreator.cpp
    src/Utils/ControllerService.cpp
    src/Utils/Ellipse.cpp
    src/Utils/EntityCreator.cpp
    src/Utils/EntityUtils.cpp
    src/Utils/Logger.cpp
    src/Utils/ProbabilityService.cpp
    src/Utils/TrafficSignalBuilder.cpp
)

list(APPEND ${PROJECT_NAME}_HEADERS
    gen/Conversion/OscToNode/ParseAccelerationCondition.h
    gen/Conversion/OscToNode/ParseAcquirePositionAction.h
    gen/Conversion/OscToNode/ParseAct.h
    gen/Conversion/OscToNode/ParseActions.h
    gen/Conversion/OscToNode/ParseActivateControllerAction.h
    gen/Conversion/OscToNode/ParseActs.h
    gen/Conversion/OscToNode/ParseAddEntityAction.h
    gen/Conversion/OscToNode/ParseAnimationAction.h
    gen/Conversion/OscToNode/ParseAppearanceAction.h
    gen/Conversion/OscToNode/ParseAssignControllerAction.h
    gen/Conversion/OscToNode/ParseAssignRouteAction.h
    gen/Conversion/OscToNode/ParseByValueCondition.h
    gen/Conversion/OscToNode/ParseCatalogReferences.h
    gen/Conversion/OscToNode/ParseCollisionCondition.h
    gen/Conversion/OscToNode/ParseCondition.h
    gen/Conversion/OscToNode/ParseConditionGroup.h
    gen/Conversion/OscToNode/ParseConditionGroups.h
    gen/Conversion/OscToNode/ParseConditions.h
    gen/Conversion/OscToNode/ParseControllerAction.h
    gen/Conversion/OscToNode/ParseCustomCommandAction.h
    gen/Conversion/OscToNode/ParseDeleteEntityAction.h
    gen/Conversion/OscToNode/ParseDistanceCondition.h
    gen/Conversion/OscToNode/ParseEndOfRoadCondition.h
    gen/Conversion/OscToNode/ParseEntityAction.h
    gen/Conversion/OscToNode/ParseEntityCondition.h
    gen/Conversion/OscToNode/ParseEnvironmentAction.h
    gen/Conversion/OscToNode/ParseEvent.h
    gen/Conversion/OscToNode/ParseEvents.h
    gen/Conversion/OscToNode/ParseFollowTrajectoryAction.h
    gen/Conversion/OscToNode/ParseGlobalAction.h
    gen/Conversion/OscToNode/ParseGlobalActions.h
    gen/Conversion/OscToNode/ParseInfrastructureAction.h
    gen/Conversion/OscToNode/ParseLaneChangeAction.h
    gen/Conversion/OscToNode/ParseLaneOffsetAction.h
    gen/Conversion/OscToNode/ParseLateralAction.h
    gen/Conversion/OscToNode/ParseLateralDistanceAction.h
    gen/Conversion/OscToNode/ParseLightStateAction.h
    gen/Conversion/OscToNode/ParseLongitudinalAction.h
    gen/Conversion/OscToNode/ParseLongitudinalDistanceAction.h
    gen/Conversion/OscToNode/ParseManeuver.h
    gen/Conversion/OscToNode/ParseManeuverGroups.h
    gen/Conversion/OscToNode/ParseManeuvers.h
    gen/Conversion/OscToNode/ParseOffroadCondition.h
    gen/Conversion/OscToNode/ParseOverrideBrakeAction.h
    gen/Conversion/OscToNode/ParseOverrideClutchAction.h
    gen/Conversion/OscToNode/ParseOverrideControllerValueAction.h
    gen/Conversion/OscToNode/ParseOverrideGearAction.h
    gen/Conversion/OscToNode/ParseOverrideParkingBrakeAction.h
    gen/Conversion/OscToNode/ParseOverrideSteeringWheelAction.h
    gen/Conversion/OscToNode/ParseOverrideThrottleAction.h
    gen/Conversion/OscToNode/ParseParameterAction.h
    gen/Conversion/OscToNode/ParseParameterCondition.h
    gen/Conversion/OscToNode/ParseParameterDeclarations.h
    gen/Conversion/OscToNode/ParseParameterModifyAction.h
    gen/Conversion/OscToNode/ParseParameterSetAction.h
    gen/Conversion/OscToNode/ParsePrivateAction.h
    gen/Conversion/OscToNode/ParsePrivateActions.h
    gen/Conversion/OscToNode/ParsePrivates.h
    gen/Conversion/OscToNode/ParseReachPositionCondition.h
    gen/Conversion/OscToNode/ParseRelativeClearanceCondition.h
    gen/Conversion/OscToNode/ParseRelativeDistanceCondition.h
    gen/Conversion/OscToNode/ParseRelativeSpeedCondition.h
    gen/Conversion/OscToNode/ParseRoutingAction.h
    gen/Conversion/OscToNode/ParseSimulationTimeCondition.h
    gen/Conversion/OscToNode/ParseSpeedAction.h
    gen/Conversion/OscToNode/ParseSpeedCondition.h
    gen/Conversion/OscToNode/ParseSpeedProfileAction.h
    gen/Conversion/OscToNode/ParseStandStillCondition.h
    gen/Conversion/OscToNode/ParseStories.h
    gen/Conversion/OscToNode/ParseStory.h
    gen/Conversion/OscToNode/ParseStoryboard.h
    gen/Conversion/OscToNode/ParseStoryboardElementStateCondition.h
    gen/Conversion/OscToNode/ParseSynchronizeAction.h
    gen/Conversion/OscToNode/ParseTeleportAction.h
    gen/Conversion/OscToNode/ParseTimeHeadwayCondition.h
    gen/Conversion/OscToNode/ParseTimeOfDayCondition.h
    gen/Conversion/OscToNode/ParseTimeToCollisionCondition.h
    gen/Conversion/OscToNode/ParseTrafficAction.h
    gen/Conversion/OscToNode/ParseTrafficSignalAction.h
    gen/Conversion/OscToNode/ParseTrafficSignalCondition.h
    gen/Conversion/OscToNode/ParseTrafficSignalControllerAction.h
    gen/Conversion/OscToNode/ParseTrafficSignalControllerCondition.h
    gen/Conversion/OscToNode/ParseTrafficSignalStateAction.h
    gen/Conversion/OscToNode/ParseTrafficSignals.h
    gen/Conversion/OscToNode/ParseTrafficSinkAction.h
    gen/Conversion/OscToNode/ParseTrafficSourceAction.h
    gen/Conversion/OscToNode/ParseTrafficStopAction.h
    gen/Conversion/OscToNode/ParseTrafficSwarmAction.h
    gen/Conversion/OscToNode/ParseTraveledDistanceCondition.h
    gen/Conversion/OscToNode/ParseTrigger.h
    gen/Conversion/OscToNode/ParseUserDefinedAction.h
    gen/Conversion/OscToNode/ParseUserDefinedActions.h
    gen/Conversion/OscToNode/ParseUserDefinedValueCondition.h
    gen/Conversion/OscToNode/ParseVariableAction.h
    gen/Conversion/OscToNode/ParseVariableCondition.h
    gen/Conversion/OscToNode/ParseVariableModifyAction.h
    gen/Conversion/OscToNode/ParseVariableSetAction.h
    gen/Conversion/OscToNode/ParseVisibilityAction.h
    gen/Storyboard/ByEntityCondition/AccelerationCondition.h
    gen/Storyboard/ByEntityCondition/AccelerationCondition_impl.h
    gen/Storyboard/ByEntityCondition/CollisionCondition.h
    gen/Storyboard/ByEntityCondition/CollisionCondition_impl.h
    gen/Storyboard/ByEntityCondition/DistanceCondition.h
    gen/Storyboard/ByEntityCondition/DistanceCondition_impl.h
    gen/Storyboard/ByEntityCondition/EndOfRoadCondition.h
    gen/Storyboard/ByEntityCondition/EndOfRoadCondition_impl.h
    gen/Storyboard/ByEntityCondition/OffroadCondition.h
    gen/Storyboard/ByEntityCondition/OffroadCondition_impl.h
    gen/Storyboard/ByEntityCondition/ReachPositionCondition.h
    gen/Storyboard/ByEntityCondition/ReachPositionCondition_impl.h
    gen/Storyboard/ByEntityCondition/RelativeClearanceCondition.h
    gen/Storyboard/ByEntityCondition/RelativeClearanceCondition_impl.h
    gen/Storyboard/ByEntityCondition/RelativeDistanceCondition.h
    gen/Storyboard/ByEntityCondition/RelativeDistanceCondition_impl.h
    gen/Storyboard/ByEntityCondition/RelativeSpeedCondition.h
    gen/Storyboard/ByEntityCondition/RelativeSpeedCondition_impl.h
    gen/Storyboard/ByEntityCondition/SpeedCondition.h
    gen/Storyboard/ByEntityCondition/SpeedCondition_impl.h
    gen/Storyboard/ByEntityCondition/StandStillCondition.h
    gen/Storyboard/ByEntityCondition/StandStillCondition_impl.h
    gen/Storyboard/ByEntityCondition/TimeHeadwayCondition.h
    gen/Storyboard/ByEntityCondition/TimeHeadwayCondition_impl.h
    gen/Storyboard/ByEntityCondition/TimeToCollisionCondition.h
    gen/Storyboard/ByEntityCondition/TraveledDistanceCondition.h
    gen/Storyboard/ByEntityCondition/TraveledDistanceCondition_impl.h
    gen/Storyboard/ByValueCondition/ParameterCondition.h
    gen/Storyboard/ByValueCondition/ParameterCondition_impl.h
    gen/Storyboard/ByValueCondition/SimulationTimeCondition.h
    gen/Storyboard/ByValueCondition/SimulationTimeCondition_impl.h
    gen/Storyboard/ByValueCondition/StoryboardElementStateCondition.h
    gen/Storyboard/ByValueCondition/StoryboardElementStateCondition_impl.h
    gen/Storyboard/ByValueCondition/TimeOfDayCondition.h
    gen/Storyboard/ByValueCondition/TimeOfDayCondition_impl.h
    gen/Storyboard/ByValueCondition/TrafficSignalCondition.h
    gen/Storyboard/ByValueCondition/TrafficSignalCondition_impl.h
    gen/Storyboard/ByValueCondition/TrafficSignalControllerCondition.h
    gen/Storyboard/ByValueCondition/TrafficSignalControllerCondition_impl.h
    gen/Storyboard/ByValueCondition/UserDefinedValueCondition.h
    gen/Storyboard/ByValueCondition/VariableCondition.h
    gen/Storyboard/ByValueCondition/VariableCondition_impl.h
    gen/Storyboard/GenericAction/AcquirePositionAction.h
    gen/Storyboard/GenericAction/AcquirePositionAction_base.h
    gen/Storyboard/GenericAction/AcquirePositionAction_impl.h
    gen/Storyboard/GenericAction/ActivateControllerAction_base.h
    gen/Storyboard/GenericAction/ActivateControllerAction_impl.h
    gen/Storyboard/GenericAction/AddEntityAction.h
    gen/Storyboard/GenericAction/AddEntityAction_base.h
    gen/Storyboard/GenericAction/AddEntityAction_impl.h
    gen/Storyboard/GenericAction/AnimationAction.h
    gen/Storyboard/GenericAction/AnimationAction_base.h
    gen/Storyboard/GenericAction/AnimationAction_impl.h
    gen/Storyboard/GenericAction/AssignControllerAction.h
    gen/Storyboard/GenericAction/AssignControllerAction_base.h
    gen/Storyboard/GenericAction/AssignControllerAction_impl.h
    gen/Storyboard/GenericAction/AssignRouteAction.h
    gen/Storyboard/GenericAction/AssignRouteAction_base.h
    gen/Storyboard/GenericAction/AssignRouteAction_impl.h
    gen/Storyboard/GenericAction/CustomCommandAction.h
    gen/Storyboard/GenericAction/CustomCommandAction_base.h
    gen/Storyboard/GenericAction/DeleteEntityAction.h
    gen/Storyboard/GenericAction/DeleteEntityAction_base.h
    gen/Storyboard/GenericAction/DeleteEntityAction_impl.h
    gen/Storyboard/GenericAction/EnvironmentAction.h
    gen/Storyboard/GenericAction/EnvironmentAction_base.h
    gen/Storyboard/GenericAction/EnvironmentAction_impl.h
    gen/Storyboard/GenericAction/LightStateAction.h
    gen/Storyboard/GenericAction/LightStateAction_base.h
    gen/Storyboard/GenericAction/LightStateAction_impl.h
    gen/Storyboard/GenericAction/OverrideBrakeAction.h
    gen/Storyboard/GenericAction/OverrideBrakeAction_base.h
    gen/Storyboard/GenericAction/OverrideBrakeAction_impl.h
    gen/Storyboard/GenericAction/OverrideClutchAction.h
    gen/Storyboard/GenericAction/OverrideClutchAction_base.h
    gen/Storyboard/GenericAction/OverrideClutchAction_impl.h
    gen/Storyboard/GenericAction/OverrideGearAction.h
    gen/Storyboard/GenericAction/OverrideGearAction_base.h
    gen/Storyboard/GenericAction/OverrideGearAction_impl.h
    gen/Storyboard/GenericAction/OverrideParkingBrakeAction.h
    gen/Storyboard/GenericAction/OverrideParkingBrakeAction_base.h
    gen/Storyboard/GenericAction/OverrideParkingBrakeAction_impl.h
    gen/Storyboard/GenericAction/OverrideSteeringWheelAction.h
    gen/Storyboard/GenericAction/OverrideSteeringWheelAction_base.h
    gen/Storyboard/GenericAction/OverrideSteeringWheelAction_impl.h
    gen/Storyboard/GenericAction/OverrideThrottleAction.h
    gen/Storyboard/GenericAction/OverrideThrottleAction_base.h
    gen/Storyboard/GenericAction/OverrideThrottleAction_impl.h
    gen/Storyboard/GenericAction/ParameterModifyAction.h
    gen/Storyboard/GenericAction/ParameterModifyAction_base.h
    gen/Storyboard/GenericAction/ParameterModifyAction_impl.h
    gen/Storyboard/GenericAction/ParameterSetAction.h
    gen/Storyboard/GenericAction/ParameterSetAction_base.h
    gen/Storyboard/GenericAction/ParameterSetAction_impl.h
    gen/Storyboard/GenericAction/SpeedProfileAction.h
    gen/Storyboard/GenericAction/SpeedProfileAction_base.h
    gen/Storyboard/GenericAction/SpeedProfileAction_impl.h
    gen/Storyboard/GenericAction/TeleportAction.h
    gen/Storyboard/GenericAction/TeleportAction_base.h
    gen/Storyboard/GenericAction/TeleportAction_impl.h
    gen/Storyboard/GenericAction/TrafficSignalControllerAction.h
    gen/Storyboard/GenericAction/TrafficSignalControllerAction_base.h
    gen/Storyboard/GenericAction/TrafficSignalControllerAction_impl.h
    gen/Storyboard/GenericAction/TrafficSignalStateAction.h
    gen/Storyboard/GenericAction/TrafficSignalStateAction_base.h
    gen/Storyboard/GenericAction/TrafficSignalStateAction_impl.h
    gen/Storyboard/GenericAction/TrafficSinkAction.h
    gen/Storyboard/GenericAction/TrafficSinkAction_base.h
    gen/Storyboard/GenericAction/TrafficSinkAction_impl.h
    gen/Storyboard/GenericAction/TrafficSourceAction.h
    gen/Storyboard/GenericAction/TrafficSourceAction_base.h
    gen/Storyboard/GenericAction/TrafficSourceAction_impl.h
    gen/Storyboard/GenericAction/TrafficStopAction.h
    gen/Storyboard/GenericAction/TrafficStopAction_base.h
    gen/Storyboard/GenericAction/TrafficStopAction_impl.h
    gen/Storyboard/GenericAction/VariableModifyAction.h
    gen/Storyboard/GenericAction/VariableModifyAction_base.h
    gen/Storyboard/GenericAction/VariableModifyAction_impl.h
    gen/Storyboard/GenericAction/VariableSetAction.h
    gen/Storyboard/GenericAction/VariableSetAction_base.h
    gen/Storyboard/GenericAction/VariableSetAction_impl.h
    gen/Storyboard/GenericAction/VisibilityAction.h
    gen/Storyboard/GenericAction/VisibilityAction_base.h
    gen/Storyboard/GenericAction/VisibilityAction_impl.h
    gen/Storyboard/MotionControlAction/FollowTrajectoryAction.h
    gen/Storyboard/MotionControlAction/FollowTrajectoryAction_base.h
    gen/Storyboard/MotionControlAction/FollowTrajectoryAction_impl.h
    gen/Storyboard/MotionControlAction/LaneChangeAction.h
    gen/Storyboard/MotionControlAction/LaneChangeAction_base.h
    gen/Storyboard/MotionControlAction/LaneOffsetAction.h
    gen/Storyboard/MotionControlAction/LaneOffsetAction_base.h
    gen/Storyboard/MotionControlAction/LongitudinalDistanceAction_impl.h
    gen/Storyboard/MotionControlAction/SpeedAction.h
    gen/Storyboard/MotionControlAction/SpeedAction_base.h
    gen/Storyboard/MotionControlAction/SynchronizeAction.h
    gen/Storyboard/MotionControlAction/SynchronizeAction_base.h
    gen/Storyboard/MotionControlAction/SynchronizeAction_impl.h
    src/Conversion/OscToMantle/ConvertScenario.h
    src/Conversion/OscToMantle/ConvertScenarioAbsoluteTargetLane.h
    src/Conversion/OscToMantle/ConvertScenarioByObjectType.h
    src/Conversion/OscToMantle/ConvertScenarioCatalogReference.h
    src/Conversion/OscToMantle/ConvertScenarioCentralSwarmObject.h
    src/Conversion/OscToMantle/ConvertScenarioConditionEdge.h
    src/Conversion/OscToMantle/ConvertScenarioController.h
    src/Conversion/OscToMantle/ConvertScenarioCoordinateSystem.h
    src/Conversion/OscToMantle/ConvertScenarioDirectionOfTravelDistribution.h
    src/Conversion/OscToMantle/ConvertScenarioDynamicConstraints.h
    src/Conversion/OscToMantle/ConvertScenarioEntity.h
    src/Conversion/OscToMantle/ConvertScenarioEntityRef.h
    src/Conversion/OscToMantle/ConvertScenarioEnvironment.h
    src/Conversion/OscToMantle/ConvertScenarioFinalSpeed.h
    src/Conversion/OscToMantle/ConvertScenarioLaneChangeTarget.h
    src/Conversion/OscToMantle/ConvertScenarioLaneOffsetActionDynamics.h
    src/Conversion/OscToMantle/ConvertScenarioLaneOffsetTarget.h
    src/Conversion/OscToMantle/ConvertScenarioLateralDisplacement.h
    src/Conversion/OscToMantle/ConvertScenarioLongitudinalDisplacement.h
    src/Conversion/OscToMantle/ConvertScenarioLongitudinalDistance.h
    src/Conversion/OscToMantle/ConvertScenarioModifyRule.h
    src/Conversion/OscToMantle/ConvertScenarioParameterDeclaration.h
    src/Conversion/OscToMantle/ConvertScenarioPhase.h
    src/Conversion/OscToMantle/ConvertScenarioPosition.h
    src/Conversion/OscToMantle/ConvertScenarioRange.h
    src/Conversion/OscToMantle/ConvertScenarioReachPositionCondition.h
    src/Conversion/OscToMantle/ConvertScenarioRelativeDistanceType.h
    src/Conversion/OscToMantle/ConvertScenarioRelativeTargetLane.h
    src/Conversion/OscToMantle/ConvertScenarioRoute.h
    src/Conversion/OscToMantle/ConvertScenarioRule.h
    src/Conversion/OscToMantle/ConvertScenarioSensorReferenceSet.h
    src/Conversion/OscToMantle/ConvertScenarioSpeedActionTarget.h
    src/Conversion/OscToMantle/ConvertScenarioStoryboardElement.h
    src/Conversion/OscToMantle/ConvertScenarioTimeReference.h
    src/Conversion/OscToMantle/ConvertScenarioTimeToCollisionConditionTarget.h
    src/Conversion/OscToMantle/ConvertScenarioTrafficDefinition.h
    src/Conversion/OscToMantle/ConvertScenarioTrafficSignalController.h
    src/Conversion/OscToMantle/ConvertScenarioTrajectory.h
    src/Conversion/OscToMantle/ConvertScenarioTrajectoryFollowingMode.h
    src/Conversion/OscToMantle/ConvertScenarioTrajectoryRef.h
    src/Conversion/OscToMantle/ConvertScenarioTransitionDynamics.h
    src/Conversion/OscToNode/ParseAction.h
    src/Conversion/OscToNode/ParseByEntityCondition.h
    src/Conversion/OscToNode/ParseEntityRefs.h
    src/Conversion/OscToNode/ParseInit.h
    src/Conversion/OscToNode/ParseInitActions.h
    src/Conversion/OscToNode/ParseManeuverGroup.h
    src/Conversion/OscToNode/ParsePrivate.h
    src/Node/ActNode.h
    src/Node/AllTriggeringEntityNode.h
    src/Node/AnyTriggeringEntityNode.h
    src/Node/ByEntityConditionNode.h
    src/Node/ConditionGroupsNode.h
    src/Node/ConditionNode.h
    src/Node/ConditionsNode.h
    src/Node/EntityConditionNode.h
    src/Node/EventNode.h
    src/Node/ManeuverGroupNode.h
    src/Node/PrivateNode.h
    src/Node/RepeatingSequenceNode.h
    src/Node/RootNode.h
    src/Node/StoryboardNode.h
    src/Node/TrafficSignalPhaseNode.h
    src/Node/TriggerableCompositeNode.h
    src/Storyboard/ByEntityCondition/TimeToCollisionCondition_impl.h
    src/Storyboard/ByValueCondition/UserDefinedValueCondition_impl.h
    src/Storyboard/GenericAction/ActivateControllerAction.h
    src/Storyboard/GenericAction/CustomCommandAction_impl.h
    src/Storyboard/GenericAction/TrafficSignalAction.h
    src/Storyboard/GenericAction/TrafficSwarmAction.h
    src/Storyboard/GenericAction/TrafficSwarmAction_base.h
    src/Storyboard/GenericAction/TrafficSwarmAction_impl.h
    src/Storyboard/MotionControlAction/LaneChangeAction_impl.h
    src/Storyboard/MotionControlAction/LaneOffsetAction_impl.h
    src/Storyboard/MotionControlAction/LateralDistanceAction.h
    src/Storyboard/MotionControlAction/LateralDistanceAction_base.h
    src/Storyboard/MotionControlAction/LateralDistanceAction_impl.h
    src/Storyboard/MotionControlAction/LongitudinalDistanceAction.h
    src/Storyboard/MotionControlAction/LongitudinalDistanceAction_base.h
    src/Storyboard/MotionControlAction/MotionControlAction.h
    src/Storyboard/MotionControlAction/SpeedAction_impl.h
    src/Utils/ConditionEdgeEvaluator.h
    src/Utils/Constants.h
    src/Utils/ControllerCreator.h
    src/Utils/ControllerService.h
    src/Utils/Ellipse.h
    src/Utils/EngineAbortFlags.h
    src/Utils/EntityBroker.h
    src/Utils/EntityCreator.h
    src/Utils/EntityUtils.h
    src/Utils/IControllerService.h
    src/Utils/IProbabilityService.h
    src/Utils/Logger.h
    src/Utils/ProbabilityService.h
    src/Utils/TrafficSignalBuilder.h
)
